APIs / Google Patents / Search
Google Patents: Search
Search from Google Patents as JSON. 1 credit per successful call.
GET /v1/google-patents/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
q | string | Required | Up to 500 characters |
page | integer | Optional | Any |
num | integer | Optional | Any |
sort | string | Optional | new, old |
before | string | Optional | Any |
after | string | Optional | Any |
country | string | Optional | Any |
language | string | Optional | Any |
status | string | Optional | GRANT, APPLICATION |
type | string | Optional | PATENT, DESIGN |
inventor | string | Optional | Any |
assignee | string | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/google-patents/search?q=machine+learning" \
-H "X-API-Key: $API_KEY"